Subject: Re: bug#73860: 29.2; tetris on windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Oct 2024 21:44:55 +0300

> From: Pierpaolo Bernardi <[email-masked]>
> Date: Fri, 18 Oct 2024 20:27:50 +0200
> 
> On Fri, Oct 18, 2024 at 4:58 PM Eli Zaretskii <[email-masked]> wrote:
> 
> > I guess it will work for you in GUI mode if you set tetris-use-glyphs
> > to nil?
> 
> Yes.

OK.

> > Can your Emacs display XPM images?
> 
> No.

How come?  I think this is the cause of your problem, but it shouldn't
happen: every Emacs binary distribution on MS-Windows must be capable
of displaying XPM (because the tool-bar icons are XPM images).  Do you
have libxpm-noX4.dll (or similarly-named) library in the same
directory as emacs.exe or somewhere on PATH?

> > E.g., try the ones in etc/images/
> > directory under the Emacs installation tree.
> 
> I have no etc directory in the Emacs installation tree.
> I have: ..
>   drwxrwxrwx  1 romeo romeo  12288 2024-01-18  bin
>   drwxrwxrwx  1 romeo romeo      0 2024-01-18  include
>   drwxrwxrwx  1 romeo romeo      0 2024-01-18  lib
>   drwxrwxrwx  1 romeo romeo      0 2024-01-18  libexec
>   drwxrwxrwx  1 romeo romeo      0 2024-01-18  share

The images should be under share/emacs/29.2/etc/images/.

> So, it looks like there's been an error in the packaging of this
> binary release?

If your installation lacks a libxpm DLL, then yes.  It must be part of
the package.

Corwin, any ideas or suggestions?